## TITLE: Write Numbers to a File Part 2
# In a previous example, we read fahrenheit values from a file and 
# converted them to celcius, to write to another file. 
# Corrupted data is a common problem, and having data that can't 
# be easily converted is a good example. 
# How would you protect your program if you couldn't convert a number 
# and allow your appliction to keep working
# Don't forget, working with external files is also a common source 
# of exceptions, so make sure you protect from those exceptions as well. 

temp_in = open("temp_short.txt","r")
temp_out = open("celcius.txt", "w")
for line in temp_in :
    far = float(line)
    celcius = (far - 32) * 9 / 5
    temp_out.write(str(celcius) + "\n")

temp_out.close()
temp_in.close()